commit 86a6b6af04e981ed5a4e668dd6fcd78c93ce14be
Author: raveit65 <mate@raveit.de>
Date:   2024-02-26

    release 1.28.1

M	NEWS
M	configure.ac
M	meson.build

commit 8b33daa7c3ac11fa30bd7e491e509d89f9cdcc27
Author: raveit65 <mate@raveit.de>
Date:	2024-02-24

     Distribute Meson build system

M	Makefile.am

commit 1f1fb3c13f8fe9a6e33562a145d66f1900ed7b52
Author: raveit65 <mate@raveit.de>
Date:	2024-02-21

    release 1.28.0

M	NEWS
M	configure.ac
M	meson.build

commit 00b19b8816642b2066e8b22fb1fec1d057c06276
Author: raveit65 <mate@raveit.de>
Date:	2024-02-21

    tx: sync with transifex

M	help/af/af.po
M	help/am/am.po
M	help/ar/ar.po
M	help/az/az.po
M	help/be/be.po
M	help/bg/bg.po
M	help/bn/bn.po
M	help/bs/bs.po
M	help/ca/ca.po
M	help/ca@valencia/ca@valencia.po
M	help/cmn/cmn.po
M	help/cs/cs.po
M	help/cy/cy.po
M	help/da/da.po
M	help/de/de.po
M	help/el/el.po
M	help/en_AU/en_AU.po
M	help/en_CA/en_CA.po
M	help/en_GB/en_GB.po
M	help/eo/eo.po
M	help/es/es.po
M	help/et/et.po
M	help/eu/eu.po
M	help/fa/fa.po
M	help/fi/fi.po
M	help/fr/fr.po
M	help/ga/ga.po
M	help/gl/gl.po
M	help/gu/gu.po
M	help/he/he.po
M	help/hi/hi.po
M	help/hr/hr.po
M	help/hu/hu.po
M	help/hy/hy.po
M	help/id/id.po
M	help/is/is.po
M	help/it/it.po
M	help/ja/ja.po
M	help/kk/kk.po
M	help/ko/ko.po
M	help/ky/ky.po
M	help/lt/lt.po
M	help/lv/lv.po
M	help/mk/mk.po
M	help/mn/mn.po
M	help/ms/ms.po
M	help/nb/nb.po
M	help/ne/ne.po
M	help/nl/nl.po
M	help/nn/nn.po
M	help/nso/nso.po
M	help/oc/oc.po
M	help/pa/pa.po
M	help/pl/pl.po
M	help/pt/pt.po
M	help/pt_BR/pt_BR.po
M	help/ro/ro.po
M	help/ru/ru.po
M	help/sk/sk.po
M	help/sl/sl.po
M	help/sq/sq.po
M	help/sr/sr.po
M	help/sr@latin/sr@latin.po
M	help/sv/sv.po
M	help/ta/ta.po
M	help/th/th.po
M	help/tr/tr.po
M	help/uk/uk.po
M	help/vi/vi.po
M	help/wa/wa.po
M	help/xh/xh.po
M	help/zh_CN/zh_CN.po
M	help/zh_TW/zh_TW.po
M	help/zu/zu.po
M	po/af.po
M	po/am.po
M	po/ar.po
M	po/as.po
M	po/ast.po
M	po/az.po
M	po/be.po
M	po/bg.po
M	po/bn.po
M	po/bn_IN.po
M	po/br.po
M	po/bs.po
M	po/ca.po
M	po/ca@valencia.po
M	po/cmn.po
M	po/crh.po
M	po/cs.po
M	po/cy.po
M	po/da.po
M	po/de.po
M	po/dz.po
M	po/el.po
M	po/en_AU.po
M	po/en_CA.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/es_AR.po
M	po/es_CL.po
M	po/es_CO.po
M	po/es_CR.po
M	po/es_DO.po
M	po/es_EC.po
M	po/es_ES.po
M	po/es_MX.po
M	po/es_NI.po
M	po/es_PA.po
M	po/es_PE.po
M	po/es_PR.po
M	po/es_SV.po
M	po/es_UY.po
M	po/es_VE.po
M	po/et.po
M	po/eu.po
M	po/fa.po
M	po/fi.po
M	po/fr.po
M	po/frp.po
M	po/fur.po
M	po/fy.po
M	po/ga.po
M	po/gd.po
M	po/gl.po
M	po/gu.po
M	po/ha.po
M	po/hi.po
M	po/hr.po
M	po/hu.po
M	po/hy.po
M	po/ia.po
M	po/id.po
M	po/ie.po
M	po/ig.po
M	po/is.po
M	po/it.po
M	po/ja.po
M	po/ka.po
M	po/kab.po
M	po/kk.po
M	po/kn.po
M	po/ko.po
M	po/ks.po
M	po/ku.po
M	po/ku_IQ.po
M	po/ky.po
M	po/li.po
M	po/lt.po
M	po/lv.po
M	po/mai.po
M	po/mg.po
M	po/mi.po
M	po/mk.po
M	po/ml.po
M	po/mn.po
M	po/mr.po
M	po/ms.po
C075	po/ig.po	po/nan.po
M	po/nb.po
M	po/nds.po
M	po/ne.po
M	po/nl.po
M	po/nn.po
M	po/nso.po
M	po/oc.po
M	po/or.po
M	po/pa.po
M	po/pl.po
M	po/pms.po
M	po/ps.po
M	po/pt.po
M	po/pt_BR.po
M	po/ro.po
M	po/rw.po
M	po/sc.po
M	po/si.po
M	po/sk.po
M	po/sl.po
M	po/sq.po
M	po/sr.po
M	po/sr@latin.po
M	po/sv.po
M	po/ta.po
M	po/te.po
M	po/th.po
M	po/tk.po
M	po/tr.po
M	po/tt.po
M	po/ug.po
M	po/uk.po
M	po/ur.po
M	po/ur_PK.po
M	po/uz.po
M	po/vi.po
M	po/wa.po
M	po/xh.po
M	po/yi.po
M	po/yo.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po
M	po/zu.po

commit 63d5dfa9005c6b16d0f0ccd888cc859fca78f970
Author: Colomban Wendling <cwendling@hypra.fr>
Date:	2024-01-17

    Use unar instead of cpio for CPIO archives

M	src/fr-command-cpio.c
M	src/fr-command-unarchiver.c

commit d38402fe072483d43b1e7bfb0800314c7bcca028
Author: noeppi_noeppi <noeppinoeppi@gmail.com>
Date:	2023-05-15

    Add correct jar mime type

M	data/engrampa.desktop.in.in

commit 079240123f8de4e875996d08258554a53fd2b804
Author: Colomban Wendling <cwendling@hypra.fr>
Date:	2024-01-23

    Fix double URI escaping

M	src/file-utils.c

commit 3dc5ae8a54eec467c89bf1619bf15493a6f7957c
Author: zhuyaliang <15132211195@163.com>
Date:	2023-12-16

    Escapes a string for use in a URI. replace special "# and
    ?" characters in uri
    Fix https://github.com/mate-desktop/engrampa/issues/501

M	src/file-utils.c

commit 8a32bf9f8e192d8b0aab3a9459b59658d5aa5adf
Author: Colomban Wendling <cwendling@hypra.fr>
Date:	2024-01-31

    rar: Actually accept unrar-free as the executable name

    I had been relying on `unrar-free` being available as `unrar`,
    but that
    seems to be a Debian thing, so accept the `unrar-free` itself as an
    alternative.

    The code has been refactored a little to avoid some duplication,
    but it
    basically just adds `unrar-free` as a lower precedence alternative.

M	src/fr-command-rar.c

commit ea488c851d45cc7a12f54786dc8f1a789834d8de
Author: Colomban Wendling <cwendling@hypra.fr>
Date:	2024-01-24

    rar: Add support for unrar-free

    Tested with unrar-free 0.1.3.

M	src/fr-command-rar.c
M	src/fr-command-rar.h

commit daf682c202c9edbeeb94963224930387796e469b
Author: Colomban Wendling <cwendling@hypra.fr>
Date:	2024-01-24

    rar: Fix out of bounds read on malformed output

    Check the fields count before retrieving it not to go out of bounds.

    This also slightly revise the logic to require the proper number of
    fields in the RAR5 `attribute_field_with_space()` case.

M	src/fr-command-rar.c

commit ed5d540bf64fafbf9266b28f1156ce3ce2ba3038
Author: Colomban Wendling <cwendling@hypra.fr>
Date:	2024-01-24

    rar: Simplify and merge duplicate code

    Merge version matching for rar and unrar.  This is ever so slightly
    slower in theory for unrar 5.x because there's an additional
    unnecessary `sscanf()` call, but it's not actually gonna matter, and
    saves quite a bit of duplicated logic.

    This also makes the matching a bit more safe by verifying `sscanf()`
    actually worked, and avoids using a uninitialized `version` value due
    to an unexpected input.

    Finally, this makes the parsing a bit more strict by requiring a
    version number after the `RAR` and `UNRAR` line prefixes --
    leading not
    to using the uninitialized version variable.
    This will be required by the upcoming unrar-free support as it reports
    a `RAR archive ...` line that would have matched the `RAR` version
    check.

M	src/fr-command-rar.c

commit d39e5c2ef97352e4385b9cec69032bfc0124050f
Author: Colomban Wendling <cwendling@hypra.fr>
Date:	2024-01-23

    zip: Fix crashes on buggy zip output

    Fix crash if the `zip` command emits a line starting with one of 'd?-'
    yet having less than 8 fields in it, or if the date field is
    malformed.

M	src/fr-command-zip.c

commit 01a64cddcd20b8b6647962e1336a3bb608d39a02
Author: Colomban Wendling <cwendling@hypra.fr>
Date:	2024-01-23

    7z: Fix accepting RAR archives when unar-open-zip=true

    Offset was not properly updated when adding support for EPUB+ZIP in
    84fb5cfe96263f79e50b68a5a6996e40c514cf74, leading to disabling
    both ZIP
    and RAR when the option unar-open-zip was enabled.

M	src/fr-command-7z.c

commit 40fbfca42d7166c05e55797e73431ef7de46173b
Author: raveit65 <mate@raveit.de>
Date:	2024-01-22

    ci: use ubuntu jammy docker

M	.travis.yml

commit e108af0e7547fdd040b8fc22025e6d4e30e4609f
Author: raveit65 <mate@raveit.de>
Date:	2023-12-20

    tx: update *.pot files

    Signed-off-by: raveit65 <mate@raveit.de>

M	engrampa.pot
M	help/engrampa.pot

commit 53ee3c7176b8bc9dff51700cd3234ca2ca360f8f
Author: raveit65 <mate@raveit.de>
Date:	2023-12-19

    correct translation string

    - reported by translators
    https://app.transifex.com/mate/MATE/translate/#id/master--engrampa/470908044

M	src/ui/menus-toolbars.ui

commit bdafd0c2db93e85ed0e7b19fd502e254e5b587ea
Author: zhuyaliang <15132211195@163.com>
Date:	2023-09-15

    Fix Segfault on opening .deb files after recent Debian Unstable
    updates

    Fix https://github.com/mate-desktop/engrampa/issues/496

M	src/glib-utils.c

commit 505a7ffcb7b964a764de7ade7f7009176b967927
Author: raveit65 <mate@raveit.de>
Date:	2023-09-15

    tx: fix warning in Japanese translations

M	help/ja/ja.po
M	po/ja.po

commit 9be9102626134715d42cb0e04949b7befe6fe5cd
Author: raveit65 <mate@raveit.de>
Date:	2023-08-31

    tx: update resources

M	engrampa.pot
M	help/engrampa.pot

commit d776a618adf85def890a4c73b44ef5683e71c385
Author: raveit65 <mate@raveit.de>
Date:	2023-08-22

    release 1.27.1

M	NEWS
M	configure.ac
M	meson.build

commit 91ec8e6c1a07c6dd3b74f40f3bdc53183f177834
Author: raveit65 <mate@raveit.de>
Date:	2023-08-22

    tx: pull with transifex

M	help/af/af.po
M	help/am/am.po
M	help/ar/ar.po
M	help/az/az.po
M	help/be/be.po
M	help/bg/bg.po
M	help/bn/bn.po
M	help/bs/bs.po
M	help/ca/ca.po
M	help/ca@valencia/ca@valencia.po
M	help/cmn/cmn.po
M	help/cs/cs.po
M	help/cy/cy.po
M	help/da/da.po
M	help/de/de.po
M	help/el/el.po
M	help/en_AU/en_AU.po
M	help/en_CA/en_CA.po
M	help/en_GB/en_GB.po
M	help/eo/eo.po
M	help/es/es.po
M	help/et/et.po
M	help/eu/eu.po
M	help/fa/fa.po
M	help/fi/fi.po
M	help/fr/fr.po
M	help/ga/ga.po
M	help/gl/gl.po
M	help/gu/gu.po
M	help/he/he.po
M	help/hi/hi.po
M	help/hr/hr.po
M	help/hu/hu.po
M	help/hy/hy.po
M	help/id/id.po
M	help/is/is.po
M	help/it/it.po
M	help/ja/ja.po
M	help/kk/kk.po
M	help/ko/ko.po
M	help/ky/ky.po
M	help/lt/lt.po
M	help/lv/lv.po
M	help/mk/mk.po
M	help/mn/mn.po
M	help/ms/ms.po
M	help/nb/nb.po
M	help/ne/ne.po
M	help/nl/nl.po
M	help/nn/nn.po
M	help/nso/nso.po
M	help/oc/oc.po
M	help/pa/pa.po
M	help/pl/pl.po
M	help/pt/pt.po
M	help/pt_BR/pt_BR.po
M	help/ro/ro.po
M	help/ru/ru.po
M	help/sk/sk.po
M	help/sl/sl.po
M	help/sq/sq.po
M	help/sr/sr.po
M	help/sr@latin/sr@latin.po
M	help/sv/sv.po
M	help/ta/ta.po
M	help/th/th.po
M	help/tr/tr.po
M	help/uk/uk.po
M	help/vi/vi.po
M	help/wa/wa.po
M	help/xh/xh.po
M	help/zh_CN/zh_CN.po
M	help/zh_TW/zh_TW.po
M	help/zu/zu.po
M	po/af.po
M	po/am.po
M	po/ar.po
M	po/as.po
M	po/ast.po
M	po/az.po
M	po/be.po
M	po/bg.po
M	po/bn.po
M	po/bn_IN.po
M	po/br.po
M	po/bs.po
M	po/ca.po
M	po/ca@valencia.po
M	po/cmn.po
M	po/crh.po
M	po/cs.po
M	po/cy.po
M	po/da.po
M	po/de.po
M	po/dz.po
M	po/el.po
M	po/en_AU.po
M	po/en_CA.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/es_AR.po
M	po/es_CL.po
M	po/es_CO.po
M	po/es_CR.po
M	po/es_DO.po
M	po/es_EC.po
M	po/es_ES.po
M	po/es_MX.po
M	po/es_NI.po
M	po/es_PA.po
M	po/es_PE.po
M	po/es_PR.po
M	po/es_SV.po
M	po/es_UY.po
M	po/es_VE.po
M	po/et.po
M	po/eu.po
M	po/fa.po
M	po/fi.po
M	po/fr.po
M	po/frp.po
M	po/fur.po
M	po/fy.po
M	po/ga.po
M	po/gd.po
M	po/gl.po
M	po/gu.po
M	po/ha.po
M	po/he.po
M	po/hi.po
M	po/hr.po
M	po/hu.po
M	po/hy.po
M	po/ia.po
M	po/id.po
M	po/ie.po
M	po/ig.po
M	po/is.po
M	po/it.po
M	po/ja.po
M	po/ka.po
M	po/kab.po
M	po/kk.po
M	po/kn.po
M	po/ko.po
M	po/ks.po
M	po/ku.po
M	po/ku_IQ.po
M	po/ky.po
M	po/li.po
M	po/lt.po
M	po/lv.po
M	po/mai.po
M	po/mg.po
M	po/mi.po
M	po/mk.po
M	po/ml.po
M	po/mn.po
M	po/mr.po
M	po/ms.po
M	po/nb.po
M	po/nds.po
M	po/ne.po
M	po/nl.po
M	po/nn.po
M	po/nso.po
M	po/oc.po
M	po/or.po
M	po/pa.po
M	po/pl.po
M	po/pms.po
M	po/ps.po
M	po/pt.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/rw.po
M	po/sc.po
M	po/si.po
M	po/sk.po
M	po/sl.po
M	po/sq.po
M	po/sr.po
M	po/sr@latin.po
M	po/sv.po
M	po/ta.po
M	po/te.po
M	po/th.po
M	po/tk.po
M	po/tr.po
M	po/tt.po
M	po/ug.po
M	po/uk.po
M	po/ur.po
M	po/ur_PK.po
M	po/uz.po
M	po/vi.po
M	po/wa.po
M	po/xh.po
M	po/yi.po
M	po/yo.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po
M	po/zu.po

commit 248ef1aa5a6bbaa65387508b81f3fe2ebbc5ec7d
Author: zhuyaliang <15132211195@163.com>
Date:	2023-08-04

    Check if the remaining disk space is sufficient when add extract

M	src/fr-window.c

commit 45f52c13baa93857d912effb4f1f9a58c41a0da3
Author: zhuyaliang <15132211195@163.com>
Date:	2023-07-19

    priority useing get_mime_type_from_filename to obtain mime type
    MAGIC returned incorrect mime type while processing tar compression
    type
    Fix https://github.com/mate-desktop/engrampa/issues/492

M	src/fr-archive.c

commit 79c9b8ee20cdf11c69dde173c5f04d51d5f8c778
Author: Colomban Wendling <cwendling@hypra.fr>
Date:	2023-06-14

    Fix MIME detection logic from #490

    A blooper has been made there:

    * if ENABLE_MIME is set, the intention was to try, in order: magic,
      content, filename; but it was made filename, content, magic (which
      was the same as before the changes);
    * if ENABLE_MIME is not set, the intention was to try, in order:
      filename, content, magic; but it has been made magic, content, magic
      (notice the duplicate, and the missing "filename").

    This probably doesn't change much in the wild as magic is gonna work
    most of the time, but it's especially problematic that the
    non-libmagic
    case doesn't have the filename test.

    Anyway, fix this so the code is consistent, and we retain the behavior
    for the non-libmagic case, and have the new expected one for the
    libmagic case.

M	src/fr-archive.c

commit 8e33e604d87e90bda3cc748bc1627c164d72a16c
Author: Toyeesh Sinha <toyeshsainik@gmail.com>
Date:	2023-06-14

    Update to change the fallback and fix gzip issue

M	src/file-utils.c
M	src/fr-archive.c
M	src/fr-init.c

commit 5602738e3eb15652a7e979a9c85fc6478401761c
Author: Toyeesh Sinha <toyeshsainik@gmail.com>
Date:	2023-06-09

    Fixed libmagic bug

M	src/fr-archive.c

commit a043e0a81460a94e0732672afc3831689984caf8
Author: xmusjackson <viking.chris@live.com>
Date:	2023-05-14

    Add "Extract to subdirectory" option

    This commit adds an "Extract to subdirectory" option to
    the extract dialog which allows the user to extract the
    contents of the archive to a directory with the name of
    the archive (without the extension.) The user will be
    prompted if the directory must be created.

    file-utils.c: Improve remove_extension_from_path

    Rework this function so that it correctly parses and
    truncates files with multiple extensions like .tar.gz

    file-utils.c: Improve get_file_extension

    Improve this function to correctly identify and return
    supported compressed tar file extensions

M	data/org.mate.engrampa.gschema.xml.in
M	src/dlg-extract.c
M	src/file-utils.c
M	src/fr-window.c
M	src/fr-window.h
M	src/preferences.h
M	src/ui/dlg-extract.ui

commit e4cdb9e1a846390bafef8e36085242f793464edd
Author: zhuyaliang <15132211195@163.com>
Date:	2023-05-19

    Add meson compilation support

A	caja/meson.build
A	data/icons/meson.build
A	data/meson.build
A	help/LINGUAS
A	help/meson.build
A	meson.build
A	meson_options.txt
A	po/meson.build
A	postinstall.py
A	src/meson.build
A	src/sh/meson.build
A	subprojects/mate-submodules.wrap

commit 41a0cad8fafe515f56854462dd62c1b1bd94a393
Author: zhuyaliang <15132211195@163.com>
Date:	2023-05-12

    Set the current folder of the file chooser dialog using a local
    file name

M	src/dlg-extract.c

commit 77bc1e4361f2f5fe2f94615b675e6c454e6f8748
Author: zhuyaliang <15132211195@163.com>
Date:	2023-05-10

    Fix failure to extract multiple files

M	src/glib-utils.c

commit 4a7a10a0eac6ee5f54b46f2f3f26d4b9693b4d9c
Author: zhuyaliang <15132211195@163.com>
Date:	2023-05-11

    Uniform file chooser dialog margin size

M	src/ui/new.ui

commit 2750084388d9cb6164a99be13070f5d8b56e866b
Author: zhuyaliang <15132211195@163.com>
Date:	2023-05-11

    Archive do not track symbolic link
    g_file_enumerate_children_async default should use
    G_FILE_QUERY_INFO_NOFOLLOW_SYMLINKS. This can avoid link loops

M	src/gio-utils.c
M	src/gio-utils.h

commit 9cbea8d2e8f14ea4477c21d8fdf14d58ec00f6a9
Author: zhuyaliang <15132211195@163.com>
Date:	2023-05-12

    Fix failed restore of saved sessions

M	src/main.c

commit 2cd5fa803bba18be69a06d6b1342491a7524e0a1
Author: Guido Berhoerster <guido+freiesoftware@berhoerster.name>
Date:	2023-05-08

    Add MIME aliases for gzip and bzip2

    The application/gzip alias is e.g. provided by FileRoller and Ark,
    application/bzip2 is provided by FileRoller.

M	data/engrampa.desktop.in.in

commit fcaf6442f0085d728de9e295208afbb2aff6c1e9
Author: zhuyaliang <15132211195@163.com>
Date:	2023-05-04

    Replace deprecated functions and fix compilation warnings
    Replacing GtkAction with GAction
    Replacing GtkUIManager with GtkBuilder

M	src/actions.c
M	src/actions.h
M	src/fr-command-7z.c
M	src/fr-command.c
M	src/fr-command.h
M	src/fr-window.c
M	src/glib-utils.c
M	src/ui.h
M	src/ui/menus-toolbars.ui

commit 6f49d2c72ea1ade71df33a301d5192c2a127e790
Author: zhuyaliang <15132211195@163.com>
Date:	2023-03-20

    command-7z: Add new 7-zip(7zz and 7zzs) project support

M	data/packages.match
M	src/fr-command-7z.c
M	src/fr-command-tar.c

commit 872b71b88462358ab8bfe0fb83d4ce00abccb747
Author: Florian Weimer <fweimer@redhat.com>
Date:	2023-04-14

    file-utils: Include <strings.h> for strcasecmp

    The _XOPEN_SOURCE macro definition overrides _DEFAULT_SOURCE
    and disables the declaration in <string.h>.

    This avoids an implicit function declaration and build failures
    with future compilers.

M	src/file-utils.c

commit bfad1975223ff5da6e998f3ad20fdc52e0fe94ca
Author: zhuyaliang <15132211195@163.com>
Date:	2023-04-14

    action: Delete unused sort_by_entries code

M	src/actions.c
M	src/actions.h
M	src/fr-window.c
M	src/fr-window.h
M	src/ui.h

commit 9c8ab8787724da4603c023adf406d0d4909bb8de
Author: rbuj <robert.buj@gmail.com>
Date:	2022-01-30

    fr-process: fix memory leak

M	src/fr-process.c

commit 457669530e7f68a8b777ea2aaa61d79cf3c2a673
Author: zhuyaliang <15132211195@163.com>
Date:	2023-04-06

    UI: Remove useless code and file

M	po/POTFILES.in
M	src/engrampa.gresource.xml
M	src/ui/Makefile.am
D	src/ui/app-menu.ui
M	src/ui/menus-toolbars.ui

commit 1b316395e529c3af334953eb0bd8908aebc29bab
Author: zhuyaliang <15132211195@163.com>
Date:	2023-03-23

    Fix icon missing when compressing files with the right mouse button

M	src/dlg-batch-add.c

commit e424eb21db35129aee934aa528bddff0869b7a38
Author: zhuyaliang <15132211195@163.com>
Date:	2023-03-24

    Extract: add the function of automatically closing the dialog box
    after decompression

M	data/org.mate.engrampa.gschema.xml.in
M	src/dlg-extract.c
M	src/fr-window.c
M	src/fr-window.h
M	src/preferences.h
M	src/ui/dlg-extract.ui

commit 4ee39ab04260179144ebb9ac7160df79a5b1e6fc
Author: Đoàn Trần Công Danh <congdanhqx@gmail.com>
Date:	2020-12-15

    zstd: support both old and new mime type

    As of it's now, we're supporting zstd {,de}compression with specific
    mime type that was reported by libmagic as configure time. Thus, the
    built binaries is not correct after upgrading file-devel after
    configure. In addition, this configure's time hard-coded value prevent
    our users from partial upgrade.

    Let's accept both mime types reported by both old and new file-devel.
    For the mapping between file extensions and mime types, let's
    choose the
    new mime value.

M	caja/caja-engrampa.c
M	configure.ac
M	data/engrampa.desktop.in.in
M	src/fr-command-cfile.c
M	src/fr-init.c

commit a36c201627e687e99d1c8b8f3b32e864cede7662
Author: rbuj <robert.buj@gmail.com>
Date:	2022-07-24

    fr-command-rar: Parameter 'line' can be declared with const

M	src/fr-command-rar.c

commit 16ef96fa57c1e1f550b9de13f4d87ad4c5ce9452
Author: zhuyaliang <15132211195@163.com>
Date:	2023-03-15

    Fix archive file save as function

M	src/actions.c
M	src/dlg-new.c
M	src/dlg-new.h
M	src/fr-window.c

commit c7bb2fa397156a1ce000fe375acfe82a39d51cb0
Author: rbuj <robert.buj@gmail.com>
Date:	2022-03-14

    glib-utils: redundant condition

M	src/glib-utils.c

commit 54d7198819fee2630dee644c149320a5ad4a5b88
Author: jishengjie <jishengjie@kylinos.cn>
Date:	2022-12-14

    fix: Encrypted documents in all formats cannot be successfully pasted
    to the specified directory after copying and cutting encrypted files
    and folders

M	src/fr-command.c

commit c279d858e62bb7d6dbca8e3686e22a5bf88c79f8
Author: jishengjie <jishengjie@kylinos.cn>
Date:	2022-12-14

    fix: Encrypted documents in. 7z format cannot delete locked files
    and folders

M	src/fr-command-7z.c
M	src/fr-window.c
M	src/fr-window.h

commit c16b9005558acb5d6cfa23259604c26f8919d8bd
Author: rbuj <robert.buj@gmail.com>
Date:	2022-07-24

    fr-window: fix -Wincompatible-pointer-types warning

A	.build.yml
A	.github/FUNDING.yml
A	.github/issue_template.md
A	.gitmodules
A	.travis.yml
A	.tx/config
A	.tx/config_20221028215415.bak
A	AUTHORS
A	COPYING
A	HACKING
A	Makefile.am
A	NEWS
A	README
A	README-DISTRIBUTIONS
A	autogen.sh
A	caja/Makefile.am
A	caja/caja-engrampa.c
A	caja/caja-engrampa.h
A	caja/engrampa-module.c
A	caja/libcaja-engrampa.caja-extension.desktop.in.in
A	configure.ac
A	data/Makefile.am
A	data/engrampa.1
A	data/engrampa.appdata.xml.in.in
A	data/engrampa.desktop.in.in
A	data/icons/16x16/actions/add-files-to-archive.png
A	data/icons/16x16/actions/add-folder-to-archive.png
A	data/icons/16x16/actions/extract-archive.png
A	data/icons/16x16/apps/engrampa.png
A	data/icons/22x22/apps/engrampa.png
A	data/icons/24x24/actions/add-files-to-archive.png
A	data/icons/24x24/actions/add-folder-to-archive.png
A	data/icons/24x24/actions/extract-archive.png
A	data/icons/24x24/apps/engrampa.png
A	data/icons/32x32/apps/engrampa.png
A	data/icons/Makefile.am
A	data/icons/scalable/apps/engrampa.svg
A	data/org.mate.Engrampa.service.in
A	data/org.mate.engrampa.gschema.xml.in
A	data/packages.match
A	data/packages.match.in
A	data/update-packages-match
A	engrampa.pot
A	git.mk
A	help/C/figures/engrampa_home.png
A	help/C/figures/engrampa_leftarrow.png
A	help/C/figures/engrampa_main_window.png
A	help/C/figures/engrampa_rightarrow.png
A	help/C/figures/engrampa_uparrow.png
A	help/C/index.docbook
A	help/C/legal.xml
A	help/ChangeLog
A	help/Makefile.am
A	help/af/af.po
A	help/am/am.po
A	help/ar/ar.po
A	help/as/as.po
A	help/ast/ast.po
A	help/az/az.po
A	help/be/be.po
A	help/bg/bg.po
A	help/bg/figures/engrampa_leftarrow.png
A	help/bg/figures/engrampa_main_window.png
A	help/bn/bn.po
A	help/bn_IN/bn_IN.po
A	help/br/br.po
A	help/bs/bs.po
A	help/ca/ca.po
A	help/ca/figures/engrampa_home.png
A	help/ca/figures/engrampa_leftarrow.png
A	help/ca/figures/engrampa_main_window.png
A	help/ca/figures/engrampa_rightarrow.png
A	help/ca/figures/engrampa_uparrow.png
A	help/ca@valencia/ca@valencia.po
A	help/cmn/cmn.po
A	help/crh/crh.po
A	help/cs/cs.po
A	help/cs/figures/engrampa_home.png
A	help/cs/figures/engrampa_leftarrow.png
A	help/cs/figures/engrampa_main_window.png
A	help/cs/figures/engrampa_rightarrow.png
A	help/cs/figures/engrampa_uparrow.png
A	help/cy/cy.po
A	help/da/da.po
A	help/de/de.po
A	help/de/figures/engrampa_home.png
A	help/de/figures/engrampa_leftarrow.png
A	help/de/figures/engrampa_main_window.png
A	help/de/figures/engrampa_rightarrow.png
A	help/de/figures/engrampa_uparrow.png
A	help/dz/dz.po
A	help/el/el.po
A	help/el/figures/engrampa_main_window.png
A	help/en_AU/en_AU.po
A	help/en_CA/en_CA.po
A	help/en_GB/en_GB.po
A	help/engrampa.omf.in
A	help/engrampa.pot
A	help/eo/eo.po
A	help/es/es.po
A	help/es/figures/engrampa_leftarrow.png
A	help/es/figures/engrampa_main_window.png
A	help/et/et.po
A	help/eu/eu.po
A	help/fa/fa.po
A	help/fi/fi.po
A	help/fi/figures/engrampa_leftarrow.png
A	help/fi/figures/engrampa_main_window.png
A	help/fr/figures/engrampa_leftarrow.png
A	help/fr/figures/engrampa_main_window.png
A	help/fr/fr.po
A	help/ga/ga.po
A	help/gl/gl.po
A	help/gu/gu.po
A	help/he/he.po
A	help/hi/hi.po
A	help/hr/hr.po
A	help/hu/hu.po
A	help/hy/hy.po
A	help/id/id.po
A	help/is/is.po
A	help/it/figures/engrampa_home.png
A	help/it/figures/engrampa_leftarrow.png
A	help/it/figures/engrampa_main_window.png
A	help/it/figures/engrampa_rightarrow.png
A	help/it/figures/engrampa_uparrow.png
A	help/it/it.po
A	help/ja/figures/engrampa_home.png
A	help/ja/figures/engrampa_leftarrow.png
A	help/ja/figures/engrampa_main_window.png
A	help/ja/figures/engrampa_rightarrow.png
A	help/ja/figures/engrampa_uparrow.png
A	help/ja/ja.po
A	help/ka/ka.po
A	help/kk/kk.po
A	help/kn/kn.po
A	help/ko/ko.po
A	help/ku/ku.po
A	help/ky/ky.po
A	help/li/li.po
A	help/lt/lt.po
A	help/lv/lv.po
A	help/mai/mai.po
A	help/mg/mg.po
A	help/mk/mk.po
A	help/ml/ml.po
A	help/mn/mn.po
A	help/mr/mr.po
A	help/ms/ms.po
A	help/nb/nb.po
A	help/ne/ne.po
A	help/nl/nl.po
A	help/nn/nn.po
A	help/nso/nso.po
A	help/oc/oc.po
A	help/or/or.po
A	help/pa/pa.po
A	help/pl/pl.po
A	help/pt/pt.po
A	help/pt_BR/pt_BR.po
A	help/ro/ro.po
A	help/ru/ru.po
A	help/si/si.po
A	help/sk/sk.po
A	help/sl/sl.po
A	help/sq/sq.po
A	help/sr/sr.po
A	help/sr@latin/sr@latin.po
A	help/sv/figures/engrampa_leftarrow.png
A	help/sv/figures/engrampa_main_window.png
A	help/sv/sv.po
A	help/ta/ta.po
A	help/te/te.po
A	help/th/th.po
A	help/tk/tk.po
A	help/tr/tr.po
A	help/ug/ug.po
A	help/uk/figures/engrampa_home.png
A	help/uk/figures/engrampa_leftarrow.png
A	help/uk/figures/engrampa_main_window.png
A	help/uk/figures/engrampa_rightarrow.png
A	help/uk/figures/engrampa_uparrow.png
A	help/uk/uk.po
A	help/ur/ur.po
A	help/vi/vi.po
A	help/wa/wa.po
A	help/xh/xh.po
A	help/zh_CN/zh_CN.po
A	help/zh_HK/zh_HK.po
A	help/zh_TW/zh_TW.po
A	help/zu/zu.po
A	makepot
A	mate-submodules
A	po/ChangeLog
A	po/LINGUAS
A	po/Makevars
A	po/POTFILES.in
A	po/POTFILES.skip
A	po/af.po
A	po/am.po
A	po/ar.po
A	po/as.po
A	po/ast.po
A	po/az.po
A	po/be.po
A	po/bg.po
A	po/bn.po
A	po/bn_IN.po
A	po/br.po
A	po/bs.po
A	po/ca.po
A	po/ca@valencia.po
A	po/cmn.po
A	po/crh.po
A	po/cs.po
A	po/cy.po
A	po/da.po
A	po/de.po
A	po/dz.po
A	po/el.po
A	po/en_AU.po
A	po/en_CA.po
A	po/en_GB.po
A	po/eo.po
A	po/es.po
A	po/es_AR.po
A	po/es_CL.po
A	po/es_CO.po
A	po/es_CR.po
A	po/es_DO.po
A	po/es_EC.po
A	po/es_ES.po
A	po/es_MX.po
A	po/es_NI.po
A	po/es_PA.po
A	po/es_PE.po
A	po/es_PR.po
A	po/es_SV.po
A	po/es_UY.po
A	po/es_VE.po
A	po/et.po
A	po/eu.po
A	po/fa.po
A	po/fi.po
A	po/fr.po
A	po/fr_CA.po
A	po/frp.po
A	po/fur.po
A	po/fy.po
A	po/ga.po
A	po/gd.po
A	po/gl.po
A	po/gnome-copyrights.txt
A	po/gu.po
A	po/ha.po
A	po/he.po
A	po/hi.po
A	po/hr.po
A	po/hu.po
A	po/hy.po
A	po/ia.po
A	po/id.po
A	po/ie.po
A	po/ig.po
A	po/is.po
A	po/it.po
A	po/ja.po
A	po/jv.po
A	po/ka.po
A	po/kab.po
A	po/kk.po
A	po/kn.po
A	po/ko.po
A	po/ks.po
A	po/ku.po
A	po/ku_IQ.po
A	po/ky.po
A	po/li.po
A	po/lt.po
A	po/lv.po
A	po/mai.po
A	po/mg.po
A	po/mi.po
A	po/mk.po
A	po/ml.po
A	po/mn.po
A	po/mr.po
A	po/ms.po
A	po/nb.po
A	po/nds.po
A	po/ne.po
A	po/nl.po
A	po/nn.po
A	po/nso.po
A	po/oc.po
A	po/or.po
A	po/pa.po
A	po/pl.po
A	po/pms.po
A	po/ps.po
A	po/pt.po
A	po/pt_BR.po
A	po/ro.po
A	po/ru.po
A	po/rw.po
A	po/sc.po
A	po/si.po
A	po/sk.po
A	po/sl.po
A	po/sq.po
A	po/sr.po
A	po/sr@latin.po
A	po/sv.po
A	po/ta.po
A	po/te.po
A	po/th.po
A	po/tk.po
A	po/tr.po
A	po/tt.po
A	po/ug.po
A	po/uk.po
A	po/ur.po
A	po/ur_PK.po
A	po/uz.po
A	po/vi.po
A	po/wa.po
A	po/xh.po
A	po/yi.po
A	po/yo.po
A	po/zh_CN.po
A	po/zh_HK.po
A	po/zh_TW.po
A	po/zu.po
A	src/Makefile.am
A	src/actions.c
A	src/actions.h
A	src/dlg-add-files.c
A	src/dlg-add-files.h
A	src/dlg-add-folder.c
A	src/dlg-add-folder.h
A	src/dlg-ask-password.c
A	src/dlg-ask-password.h
A	src/dlg-batch-add.c
A	src/dlg-batch-add.h
A	src/dlg-delete.c
A	src/dlg-delete.h
A	src/dlg-extract.c
A	src/dlg-extract.h
A	src/dlg-new.c
A	src/dlg-new.h
A	src/dlg-open-with.c
A	src/dlg-open-with.h
A	src/dlg-package-installer.c
A	src/dlg-package-installer.h
A	src/dlg-password.c
A	src/dlg-password.h
A	src/dlg-prop.c
A	src/dlg-prop.h
A	src/dlg-update.c
A	src/dlg-update.h
A	src/egg-macros.h
A	src/eggfileformatchooser.c
A	src/eggfileformatchooser.h
A	src/eggtreemultidnd.c
A	src/eggtreemultidnd.h
A	src/engrampa.gresource.xml
A	src/file-data.c
A	src/file-data.h
A	src/file-utils.c
A	src/file-utils.h
A	src/fr-archive.c
A	src/fr-archive.h
A	src/fr-command-7z.c
A	src/fr-command-7z.h
A	src/fr-command-ace.c
A	src/fr-command-ace.h
A	src/fr-command-alz.c
A	src/fr-command-alz.h
A	src/fr-command-ar.c
A	src/fr-command-ar.h
A	src/fr-command-arj.c
A	src/fr-command-arj.h
A	src/fr-command-cfile.c
A	src/fr-command-cfile.h
A	src/fr-command-cpio.c
A	src/fr-command-cpio.h
A	src/fr-command-dpkg.c
A	src/fr-command-dpkg.h
A	src/fr-command-iso.c
A	src/fr-command-iso.h
A	src/fr-command-jar.c
A	src/fr-command-jar.h
A	src/fr-command-lha.c
A	src/fr-command-lha.h
A	src/fr-command-lrzip.c
A	src/fr-command-lrzip.h
A	src/fr-command-nomarch.c
A	src/fr-command-nomarch.h
A	src/fr-command-rar.c
A	src/fr-command-rar.h
A	src/fr-command-rpm.c
A	src/fr-command-rpm.h
A	src/fr-command-tar.c
A	src/fr-command-tar.h
A	src/fr-command-unarchiver.c
A	src/fr-command-unarchiver.h
A	src/fr-command-unstuff.c
A	src/fr-command-unstuff.h
A	src/fr-command-zip.c
A	src/fr-command-zip.h
A	src/fr-command-zoo.c
A	src/fr-command-zoo.h
A	src/fr-command.c
A	src/fr-command.h
A	src/fr-error.c
A	src/fr-error.h
A	src/fr-init.c
A	src/fr-init.h
A	src/fr-list-model.c
A	src/fr-list-model.h
A	src/fr-marshal.list
A	src/fr-proc-error.c
A	src/fr-proc-error.h
A	src/fr-process.c
A	src/fr-process.h
A	src/fr-window.c
A	src/fr-window.h
A	src/gio-utils.c
A	src/gio-utils.h
A	src/glib-utils.c
A	src/glib-utils.h
A	src/gtk-utils.c
A	src/gtk-utils.h
A	src/java-utils.c
A	src/java-utils.h
A	src/main.c
A	src/open-file.c
A	src/open-file.h
A	src/preferences.c
A	src/preferences.h
A	src/rar-utils.c
A	src/rar-utils.h
A	src/server.c
A	src/sh/Makefile.am
A	src/sh/isoinfo.sh
A	src/test-server.c
A	src/typedefs.h
A	src/ui.h
A	src/ui/Makefile.am
A	src/ui/add-options.ui
A	src/ui/app-menu.ui
A	src/ui/batch-add-files.ui
A	src/ui/batch-password.ui
A	src/ui/delete.ui
A	src/ui/dlg-add-files.ui
A	src/ui/dlg-add-folder.ui
A	src/ui/dlg-extract.ui
A	src/ui/engrampa.about
A	src/ui/menus-toolbars.ui
A	src/ui/new.ui
A	src/ui/password.ui
A	src/ui/properties.ui
A	src/ui/update.ui
A	update-authors.pl
